Đến nội dung


Hình ảnh

Mẹo sử dụng AutoCAD


  • Please log in to reply
384 replies to this topic

#241 tuakien2930

tuakien2930

    Chưa sử dụng CAD

  • Members
  • Pip
  • 1 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 23 October 2009 - 09:56 PM

Bạn đang cần chọn một đối tượng nằm ở phía dưới một đối tượng khác, bạn làm như thế nào? có một cách rất đơn giản: khi chọn bạn nhấn thêm ctr, pick 1 lần nếu trúng rồi thì thôi, nếu chưa trúng thì pick thêm lần nữa nó sẽ chọn xoay vòng các đối tượng nằm tại 1 vị trí cho đến lúc đối tượng bạn chọn là thì bạn nhấn phím space (enter hoặc phải chuột).

Bạn đang bật một lúc nhiều lựa chọn osnap, vì thế khi bạn di chuột đến gần đối tượng, thay vào bắt theo cách bạn mong muốn, AutoCAD lại chọn kiểu snap không đúng? bạn chỉ cần nhấn phím tab chức năng osnap sẽ thay đổi xoay vòng cho đến kiểu bạn muốn thì thôi.

Cám ơn bạn nhiều nha.
  • 0

#242 kieumanh

kieumanh

    biết vẽ rectang

  • Members
  • PipPip
  • 86 Bài viết
Điểm đánh giá: 140 (tàm tạm)

Đã gửi 23 October 2009 - 11:57 PM

cho em hỏi cái
em muốn chia một đoạn thẳng thành 2 đoạn mà điểm chia là điểm cắt với đoạn thẳng khác thì làm thế nào?
Thanks a trước

Bạn dùng lệnh break (br) chọn điểm cắt1 (Intersect) điểm cắt 2 (Nearest) bất kì trên đoạn cần cắt. Sau đó extend đoạn thẳng vừa xén là ok (ex)-Space-Space. Bia
  • 1
Becoming Rich - How to do It
http://waystobecomerich.com
Làm giầu quá khó

#243 kieumanh

kieumanh

    biết vẽ rectang

  • Members
  • PipPip
  • 86 Bài viết
Điểm đánh giá: 140 (tàm tạm)

Đã gửi 24 October 2009 - 12:21 AM

Chắc các bạn cũng đã biết nhưng mình cũng muốn đóng góp 1 tí:Khi bạn dùng lệnh TRIM,bạn muốn xóa nhanh cái đường nào đó thì bạn chỉ cần pick enter(space)2 lần,chọn đường cần xóa là xóa được liền,ko cần phải chọn đường bao khi trim.
Bạn muốn kéo dài 1 đường thẳng đến 1 đường nào đó,bạn chỉ cần enter(space)2 lần sau khi dùng lệnh EX,kích vào đường thẳng bạn muốn kéo ra,nó sẽ tự nối 1 đường nào đó gần nhất.

Bổ sung thêm là: Nếu giữ shift trong lúc Extend thì Extend=Trim và ngược lại. Thử mà coi các bạn. Vui cực.
  • 1
Becoming Rich - How to do It
http://waystobecomerich.com
Làm giầu quá khó

#244 thanhtranle

thanhtranle

    biết vẽ ellipse

  • Members
  • PipPip
  • 54 Bài viết
Điểm đánh giá: 7 (bình thường)

Đã gửi 24 October 2009 - 02:15 AM

Khi vẽ bạn thường để font tiếng việt.
Và 1 số lệnh sẽ không còn hiệulực nếu vẫn để ở font đó
Và bạn lai phải mất công Alt + Z để chuyển về English
Mất công quá.
EX hãy chuyển về E3
AA hãy chuyển về AQ
....
Hãy thử bạn sẽ thích

em cũng làm thử rồi!
Cái này cũng ok!
Nhưng xin nói thêm với các pác là cái vd trên là vd tổng thể thôi
Chứ gặp bác nào đánh chữ theo kiểu VNI thì khỏi cần đổi lại chi cho mất công! :bigsmile:
Không phải lúc nào vẽ Cad mình cũng chỉ đánh text không đâu
Vì vậy nên tắt tiếng Việt khi vẽ cad
Khi nào đánh chữ thì mới mở! sau đó lại tắt!
  • 0

#245 thanhtranle

thanhtranle

    biết vẽ ellipse

  • Members
  • PipPip
  • 54 Bài viết
Điểm đánh giá: 7 (bình thường)

Đã gửi 24 October 2009 - 02:20 AM

cho em hỏi cái
em muốn chia một đoạn thẳng thành 2 đoạn mà điểm chia là điểm cắt với đoạn thẳng khác thì làm thế nào?
Thanks a trước

Bạn sử dụng lệnh break(br)
sau đó chọn đối tượng muốn chia rồi enter
sau đó nhấn F để chọn điểm muốn chia (là giao của 2 đường thẳng)! (nhớ mở osnap)
Sau đó chọn tiếp lại điểm đó nữa!
Enter!
Chúc thành công!
  • 2

#246 tbtrong69

tbtrong69

    biết pan

  • Members
  • Pip
  • 7 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 07 November 2009 - 04:38 PM

có pác nào bit tạo text đứng nhưng nguyên hàng text sẽ nghiêng theo một đường line ko? Có phải nó chuyển từ cad 3d qua ko, hay có lệnh trong 2d
  • 0

#247 vanthiep

vanthiep

    biết vẽ pline

  • Members
  • PipPip
  • 62 Bài viết
Điểm đánh giá: 17 (tàm tạm)

Đã gửi 07 November 2009 - 09:42 PM

có pác nào bit tạo text đứng nhưng nguyên hàng text sẽ nghiêng theo một đường line ko? Có phải nó chuyển từ cad 3d qua ko, hay có lệnh trong 2d


Text đứng nhưng nguyên hàng text sẽ nghiêng? Theo mình bạn phải đặt text style thẳng đứng. Viết dòng text rồi dùng lệnh RO nhập góc nghiêng hoặc chọn tham số R rồi thực hiện chế độ bắt điểm với điều kiện điểm đầu dòng text nằm trên điểm đầu của đường Line
  • 0

#248 HoangSon614

HoangSon614

    biết lệnh properties

  • Members
  • PipPipPipPip
  • 254 Bài viết
Điểm đánh giá: 66 (tàm tạm)

Đã gửi 08 November 2009 - 07:28 AM

có pác nào bit tạo text đứng nhưng nguyên hàng text sẽ nghiêng theo một đường line ko? Có phải nó chuyển từ cad 3d qua ko, hay có lệnh trong 2d

Bạn dùng lệnh TORIENT
pick chọn text -> pick vào điểm đầu, điểm cuối line -> OK. Thử xem nhé
  • 0
-~-~-~-~-~-~-~-~-~-~-~-~-~-~
Hôm qua là sự học hỏi nhận được sau 1 ngày
Ngày mai là sự bí ẩn mà chúng ta sẽ khám phá


------------------------------------------
http://www.tailieukythuat.com

#249 tbtrong69

tbtrong69

    biết pan

  • Members
  • Pip
  • 7 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 09 November 2009 - 02:57 PM

Bạn dùng lệnh TORIENT
pick chọn text -> pick vào điểm đầu, điểm cuối line -> OK. Thử xem nhé

pac có thể chỉ rõ hơn ko? em làm mà nó chỉ xoay nguyên hàng chữ nó nghiêng thôi, phương chữ cũng nghiêng theo lun. Ý em là phương chữ vẫn đứng nhưng hàng chữ thì nghiêng theo một phương nào đó. Mong mấy pác chỉ giúp. thank nhiều nhiều. còn theo pác Thiep bảo dùng lệnh RO thì em ko bít phải làm sao để đúng yêu cầu đc. Pác có RO đặc biệt nào ko. chứ RO -> R thì em bít.
  • 0

#250 Tue_NV

Tue_NV

    KS Võ Quang Tuệ

  • Moderator
  • PipPipPipPipPipPipPip
  • 4296 Bài viết
Điểm đánh giá: 3804 (đỉnh cao)

Đã gửi 09 November 2009 - 03:34 PM

pac có thể chỉ rõ hơn ko? em làm mà nó chỉ xoay nguyên hàng chữ nó nghiêng thôi, phương chữ cũng nghiêng theo lun. Ý em là phương chữ vẫn đứng nhưng hàng chữ thì nghiêng theo một phương nào đó. Mong mấy pác chỉ giúp. thank nhiều nhiều. còn theo pác Thiep bảo dùng lệnh RO thì em ko bít phải làm sao để đúng yêu cầu đc. Pác có RO đặc biệt nào ko. chứ RO -> R thì em bít.

Bạn làm như sau :
Command: dtext -> gõ dt(DText)
Current text style: "style1" Text height: 225.0000
Specify start point of text or [Justify/Style]: -> Pick chọn 1 điểm viết chữ (điểm P1)
Specify rotation angle of text <45>: 15 : gõ góc nghiêng của chữ hoặc pick 1 điểm (P2) : điểm P1P2 sẽ hợp với phương nằm ngang 1 góc a

Enter text: CADVIET -> gõ chữ
Enter text: Enter

-> Chữ sẽ nghiêng 1 góc so với phuơng ngang và phương chữ vẫn đứng : đúng theo ý bạn nhé :tongue2:
  • 1

#251 Thaistreetz

Thaistreetz

    biết lệnh adcenter

  • Advance Member
  • PipPipPipPipPipPipPip
  • 903 Bài viết
Điểm đánh giá: 505 (tốt)

Đã gửi 09 November 2009 - 04:12 PM

Bạn làm như sau :
Command: dtext -> gõ dt(DText)
Current text style: "style1" Text height: 225.0000
Specify start point of text or [Justify/Style]: -> Pick chọn 1 điểm viết chữ (điểm P1)
Specify rotation angle of text <45>: 15 : gõ góc nghiêng của chữ hoặc pick 1 điểm (P2) : điểm P1P2 sẽ hợp với phương nằm ngang 1 góc a

Enter text: CADVIET -> gõ chữ
Enter text: Enter

-> Chữ sẽ nghiêng 1 góc so với phuơng ngang và phương chữ vẫn đứng : đúng theo ý bạn nhé :tongue2:

Theo em thì ta phải chỉnh góc nghiêng của text trước trong mục Oblique angle (vi dụ khi goc nghieng cua hang text là 15 độ thì ta nhập giá trị 15 độ vào mục này) của text style trước rồi mới làm như trên thì chữ mới thẳng đứng theo trục Y được.
  • 0

Hình đã gửi
IN HIM, I TRUST. THE TRUST IN MY GOD


#252 tbtrong69

tbtrong69

    biết pan

  • Members
  • Pip
  • 7 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 09 November 2009 - 05:10 PM

Theo em thì ta phải chỉnh góc nghiêng của text trước trong mục Oblique angle (vi dụ khi goc nghieng cua hang text là 15 độ thì ta nhập giá trị 15 độ vào mục này) của text style trước rồi mới làm như trên thì chữ mới thẳng đứng theo trục Y được.

pác có thể chỉ rõ hơn không. cad em cũng hơi kém, mục oblique angle ở đâu zậy? nằm trong lệnh nào hay trong tool. Còn làm theo cách của pác TUE vn thì ko đc. các pác xem hình vẽ ý của em nha.
http://www.cadviet.c...2/cadviet_4.dwg
  • 0

#253 master_worse

master_worse

    biết lệnh offset

  • Advance Member
  • PipPipPip
  • 170 Bài viết
Điểm đánh giá: 87 (tàm tạm)

Đã gửi 09 November 2009 - 05:53 PM

pác có thể chỉ rõ hơn không. cad em cũng hơi kém, mục oblique angle ở đâu zậy? nằm trong lệnh nào hay trong tool. Còn làm theo cách của pác TUE vn thì ko đc. các pác xem hình vẽ ý của em nha.
http://www.cadviet.c...2/cadviet_4.dwg


cách làm thủ công:
Xoay text --> Chọn text --> Ctrl+1 (or _properties) --> trong tab TEXT bạn tìm xem Rotation là bao nhiêu thì điền giá trị đó vào Obliquing
sẽ đúng như ý bạn

Bạn sử dụng LISP này thử:
(defun C:ORT (/ SS TXTLST TEXT)
(setq SS (ssget '((0 . "TEXT"))))
(setq TXTLST (vl-remove-if 'listp (mapcar 'cadr (ssnamex SS))))
(foreach TEXT TXTLST
(entmod (subst (cons 51 (cdr (assoc 50 (entget TEXT)))) (assoc 51 (entget TEXT)) (entget TEXT)))
);_ end foreach
);_ end defun

text phải xoay trước khi thực hiện lênhh lisp nầy
  • 1

Ngu dốt không đáng thẹn bằng thiếu ý chí học hỏi


Tri thức làm người ta khiêm tốn, ngu si làm người ta kiêu ngạo (Ngạn ngữ Anh)


#254 havanvu38

havanvu38

    biết lệnh move

  • Members
  • PipPipPip
  • 128 Bài viết
Điểm đánh giá: 95 (tàm tạm)

Đã gửi 09 November 2009 - 05:58 PM

Theo mình thì đặt kiểu text Style có góc nghiêng trước , góc giữa đường chéo và trục oy rồi dùng lệnh DT bắt bắt điểm đầu và cuối của đường xiên
  • 0

#255 Tue_NV

Tue_NV

    KS Võ Quang Tuệ

  • Moderator
  • PipPipPipPipPipPipPip
  • 4296 Bài viết
Điểm đánh giá: 3804 (đỉnh cao)

Đã gửi 09 November 2009 - 06:18 PM

pác có thể chỉ rõ hơn không. cad em cũng hơi kém, mục oblique angle ở đâu zậy? nằm trong lệnh nào hay trong tool. Còn làm theo cách của pác TUE vn thì ko đc. các pác xem hình vẽ ý của em nha.
http://www.cadviet.c...2/cadviet_4.dwg

Vì bạn không upload cái hình vẽ nên Tue_NV chẳng biết câu trả lời của mình có đúng ý của bạn không?
Bạn làm theo cách của mình nhé :
Bước 1. Theo ý này của Tue_NV

Bạn làm như sau :
Command: dtext -> gõ dt(DText)
Current text style: "style1" Text height: 225.0000
Specify start point of text or [Justify/Style]: -> Pick chọn 1 điểm viết chữ (điểm P1)
Specify rotation angle of text <45>: 15 : gõ góc nghiêng của chữ hoặc pick 1 điểm (P2) : điểm P1P2 sẽ hợp với phương nằm ngang 1 góc a

Enter text: CADVIET -> gõ chữ
Enter text: Enter

Bước 2 : Chọn Text vừa gõ -> bấm Ctrol+1 (hoặc lệnh MO) -> Vào nhãn Text -> bạn thấy mục Obliquing -> Bạn gõ số đo góc Obliquing đúng bằng số đo góc Rotation là được.
Số đo góc Rotation nằm ở dòng thứ 5 của nhãn Text và Số đo góc Obliquing nằm ở dòng thứ 7 của nhãn Text

Hoặc cách khác là bạn thiết lập trước Oblique angle trong hộp thoại style (Đánh lệnh Style -> và thiết lập Oblique angle cho font chữ nhé). Ví dụ giá trị của Oblique angle là a thì khi gõ Dtext thì ở dòng : Specify rotation angle of text <45>: -> ở dòng này bạn phải gõ đúng bằng giá trị là a nhé.


Chúc bạn thành công nhé :tongue2:
  • 2

#256 meimei308

meimei308

    Chưa sử dụng CAD

  • Members
  • Pip
  • 1 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 09 November 2009 - 11:20 PM

Bạn đang cần chọn một đối tượng nằm ở phía dưới một đối tượng khác, bạn làm như thế nào? có một cách rất đơn giản: khi chọn bạn nhấn thêm ctr, pick 1 lần nếu trúng rồi thì thôi, nếu chưa trúng thì pick thêm lần nữa nó sẽ chọn xoay vòng các đối tượng nằm tại 1 vị trí cho đến lúc đối tượng bạn chọn là thì bạn nhấn phím space (enter hoặc phải chuột).

Bạn đang bật một lúc nhiều lựa chọn osnap, vì thế khi bạn di chuột đến gần đối tượng, thay vào bắt theo cách bạn mong muốn, AutoCAD lại chọn kiểu snap không đúng? bạn chỉ cần nhấn phím tab chức năng osnap sẽ thay đổi xoay vòng cho đến kiểu bạn muốn thì thôi.

em mới học cad nên ga` lắm các bác cho em hỏi vẽ mũi tên trong cad như thế nào:) em cảm ơn nhiều:))
  • 0

#257 Thaistreetz

Thaistreetz

    biết lệnh adcenter

  • Advance Member
  • PipPipPipPipPipPipPip
  • 903 Bài viết
Điểm đánh giá: 505 (tốt)

Đã gửi 10 November 2009 - 12:30 AM

em mới học cad nên ga` lắm các bác cho em hỏi vẽ mũi tên trong cad như thế nào:) em cảm ơn nhiều:))

Có rất nhiều cách để vẽ ra được một cái mũi tên. Cách đơn giản nhất là dùng Lệnh LE (leader). theo mặc định của cad thì nó sẽ vẽ cho bạn 1 cái mũi tên.
PS: với những câu hỏi thế này thì bạn fải post vào topic dành cho người mới bắt đầu nhé. bạn chú ý cho lần sau.
  • 0

Hình đã gửi
IN HIM, I TRUST. THE TRUST IN MY GOD


#258 tbtrong69

tbtrong69

    biết pan

  • Members
  • Pip
  • 7 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 11 November 2009 - 04:03 PM

Vì bạn không upload cái hình vẽ nên Tue_NV chẳng biết câu trả lời của mình có đúng ý của bạn không?
Bạn làm theo cách của mình nhé :
Bước 1. Theo ý này của Tue_NV

Bước 2 : Chọn Text vừa gõ -> bấm Ctrol+1 (hoặc lệnh MO) -> Vào nhãn Text -> bạn thấy mục Obliquing -> Bạn gõ số đo góc Obliquing đúng bằng số đo góc Rotation là được.
Số đo góc Rotation nằm ở dòng thứ 5 của nhãn Text và Số đo góc Obliquing nằm ở dòng thứ 7 của nhãn Text

Hoặc cách khác là bạn thiết lập trước Oblique angle trong hộp thoại style (Đánh lệnh Style -> và thiết lập Oblique angle cho font chữ nhé). Ví dụ giá trị của Oblique angle là a thì khi gõ Dtext thì ở dòng : Specify rotation angle of text <45>: -> ở dòng này bạn phải gõ đúng bằng giá trị là a nhé.
Chúc bạn thành công nhé :tongue2:

cảm ơn pac nhiều. em làm đc rồi. đa tạ đa tạ
  • 0

#259 xmenkt

xmenkt

    Chưa sử dụng CAD

  • Members
  • Pip
  • 1 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 16 November 2009 - 12:18 AM

Cho mình hỏi la khi dùng lệnh LE, sau đó vào phần Setting chọn kích thước mũi tên nhưng kích thước của nó không thay đổi. Bạn chỉ giúp mình nhé

Bạn gõ CH ,enter sau đó vào arrrow size tăng kích thước mũi tên lên là được
  • 0

#260 quan0510

quan0510

    Chưa sử dụng CAD

  • Members
  • Pip
  • 1 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 27 November 2009 - 04:36 PM

THỰC RA LỆNH LE NÀY LẤY KÍCH THƯỚC MŨI TÊN TRONG BẢNG DIMENSION NÊN THAY ĐỔI KÍCH THƯỚC TRONG BẢNG ĐÓ LÀ NÓ THAY ĐỔI THEO
  • 1